<?php
/**
 * DeubertIt
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2016 All rights reserved
 * @package DeubertIt\ElasticApmZfMvc
 */

namespace DeubertIt\ElasticApmZfMvc\Tests;

use PhilKra\Agent;
use PhilKra\Events\Transaction;
use PHPUnit\Framework\MockObject\MockObject;

/**
 * Class TestCase
 * @package DeubertIt\ElasticApmZfMvc\Tests
 *
 * @author Ivan Petrov <ivan.petrov@deubert.it>
 */
class TestCase extends \PHPUnit\Framework\TestCase
{
    /**
     * @return Agent|MockObject
     */
    protected function getElasticApmAgentMock()
    {
        $config = [
            'appName'     => 'test-app',
            'appVersion'  => 'test-app-dummy',
            'serverUrl'   => 'http://testing.domain.com:8200',
            'active'      => true
        ];

        /** @var Agent $agent */
        $agent = $this->getMockBuilder(Agent::class)
            ->setConstructorArgs([
                'config' => $config,
            ])
            ->disableOriginalConstructor()
            ->getMock();

        return $agent;
    }
}
